{config, lib, pkgs,...}:


{
  programs.command-not-found.enable = true;

  home.keyboard.layout = "fi";

  home.packages = with pkgs; [
    calibre
    okular
    gimp
    inkscape
    gwenview
    myVim
    myEmacs
    firefox-bin
  ];

  services.flameshot = {
    enable = true;
  };
  services.syncthing = {
    enable = true;
    tray = false;
  };
  services.xcape = {
    enable = true;
    mapExpression = {
      "Hyper_L" = "Tab";
    };
  };
  home.file.".xprofile".text = ''
    xmodmap ~/.Xmodmap
  '';

  services.emacs = {
    enable = true;
    package = pkgs.myEmacs;
  };

  home.file.".Xmodmap".text = ''
remove Lock = Caps_Lock
add Lock = Escape
keysym Caps_Lock = Escape
keysym Escape = Caps_Lock

keycode 23 = Hyper_L
keycode 255 = Tab
  '';
  programs.git = {
    enable = true;
    userName = "Mats Rauhala";
    userEmail = "mats.rauhala@iki.fi";
    signing = {
      key = "2104943D6033C8F4F7D4F560BDA6DFEDBCFB6779";
    };
    ignores = [
      "env"
      "*.swp"
      "*.swo"
      "*.orig"
      "*.crt"
      "*.key"
      "*.log"
      "tags"
      "result"
      "*.pub"
      "*.db"
      "*.sqlite"
      ".projectile"
      ".dir-locals.el"
    ];
    extraConfig = {
      push = {
        default = "simple";
      };
    };
  };
  programs.ssh = {
    enable = true;
    # controlMaster = "yes";
    # controlPersist = "10m";
    forwardAgent = true;

    matchBlocks = {
    };
  };

  programs.myZsh.enable = true;
  programs.myUrxvt.enable = true;
}
